=== debian/changelog ===
ros-iron-moveit-simple-controller-manager (2.8.0-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.4-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Michael Görner <me@v4hn.de>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.7.0-1jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use emulated time in action-based controller (#899 <https://github.com/ros-planning/moveit2/issues/899>)
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Christian Henkel, Cory Crean, Gaël Écorchard, Robert Haschke, Sameer Gupta

 -- Michael Görner <me@v4hn.de>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.6.0-1jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Support chained controllers (#1482 <https://github.com/ros-planning/moveit2/issues/1482>)
    * fix controller list if chained controllers exist
    * add comments and clean code
    * added additional comments
    * fix formatting
    * fix white space
    * add const reference and chhnage variable name
    * simplify logic to only  work with one layer chain
    * Don't return false when not finding optional parameter
    * Update moveit_ros/perception/pointcloud_octomap_updater/src/pointcloud_octomap_updater.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * add debug information
    * print controller names
    * print controllers with not known type
    * load controller dependencies
    * start chained controllers in switch
    * reverse order of activate controllers
    * prevent stoppping controller twice
    * revert all debug changes
    * add ROS error if a controller chains to more than one
    * use loop to index chained connections
    * update ros_control
    * add empty controller allocator for admittance controller
    * fix plugin xml
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * fix map indexing
    * add comment
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    * Typos
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Contributors: Paul Gesel, Robert Haschke, Sebastian Jahr

 -- Michael Görner <me@v4hn.de>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.3-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.2-1jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: Jafar, Michael Görner, v4hn

 -- Michael Görner <me@v4hn.de>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 30 May 2022 22:00:00 -0000

ros-iron-moveit-simple-controller-manager (2.5.0-1jammy) jammy; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>

