=== debian/control ===
Source: ros-iron-moveit-simple-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-control-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-simple-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-control-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-workspace
Description: A generic, simple controller manager plugin for MoveIt.
